

/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer:
*/


#include "story_entity.h"


using namespace std;



StoryEntity::StoryEntity ()
{
  this->setClassID(CL_STORY_ENTITY, "StoryEntity");
  this->isInit = false;
  this->readyToRun = false;
  this->isPaused = false;
  this->isSuspended = false;
}

StoryEntity::~StoryEntity () {}


/**
  *  sets the story ID

    sets the story id of the current entity, this enables it to be identified in a
    global context.
*/
void StoryEntity::setStoryID(int storyID)
{
  this->storyID = storyID;
}


/**
  *  this reads the story id of the current entity
  * @returns the story entity id
*/
int StoryEntity::getStoryID()
{
  return this->storyID;
}


/**
  *  sets the id of the next story entity

    StoryEntities can choose their following entity themselfs. the entity id defined here
    will be startet after this entity ends. this can be convenient if you want to have a
    non linear story with switches.
*/
void StoryEntity::setNextStoryID(int nextStoryID)
{
  this->nextStoryID = nextStoryID;
}

/**
  *  gets the story id of the current entity
  * @returns story id
*/
int StoryEntity::getNextStoryID()
{
  return this->nextStoryID;
}
